package it.integry.integrywmsnative.gest.contab_doc_interni.edit_form.dialog.selectDocRows;

import java.math.BigDecimal;

import it.integry.integrywmsnative.core.di.BindableBoolean;

public class DialogSelectDocRowsItemListModel<T> {

    private String codMart;
    private String descrizione;
    private BigDecimal qtaOrd;
    private String untMisOrd;
    private String barcode;
    private boolean isNew;
    private T originalModel;
    private BindableBoolean checked = new BindableBoolean(false);


    public String getCodMart() {
        return codMart;
    }

    public DialogSelectDocRowsItemListModel<T> setCodMart(String codMart) {
        this.codMart = codMart;
        return this;
    }

    public String getDescrizione() {
        return descrizione;
    }

    public DialogSelectDocRowsItemListModel<T> setDescrizione(String descrizione) {
        this.descrizione = descrizione;
        return this;
    }

    public BigDecimal getQtaOrd() {
        return qtaOrd;
    }

    public DialogSelectDocRowsItemListModel<T> setQtaOrd(BigDecimal qtaOrd) {
        this.qtaOrd = qtaOrd;
        return this;
    }

    public String getUntMisOrd() {
        return untMisOrd;
    }

    public DialogSelectDocRowsItemListModel<T> setUntMisOrd(String untMisOrd) {
        this.untMisOrd = untMisOrd;
        return this;
    }

    public String getBarcode() {
        return barcode;
    }

    public DialogSelectDocRowsItemListModel<T> setBarcode(String barcode) {
        this.barcode = barcode;
        return this;
    }

    public boolean isNew() {
        return isNew;
    }

    public DialogSelectDocRowsItemListModel<T> setNew(boolean aNew) {
        isNew = aNew;
        return this;
    }

    public T getOriginalModel() {
        return originalModel;
    }

    public DialogSelectDocRowsItemListModel<T> setOriginalModel(T originalModel) {
        this.originalModel = originalModel;
        return this;
    }

    public BindableBoolean getChecked() {
        return checked;
    }

    public DialogSelectDocRowsItemListModel<T> setChecked(BindableBoolean checked) {
        this.checked = checked;
        return this;
    }
}
